﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI.WebControls;
using Syncfusion.JavaScript.DataVisualization.DiagramEnums;
using Syncfusion.JavaScript.DataVisualization.Models;
using System.Web.Script.Serialization;
using Syncfusion.JavaScript.DataVisualization.Models.Collections;
using Syncfusion.JavaScript.DataVisualization.Models.Diagram;
using Syncfusion.JavaScript.Shared.Serializer;
using System.ComponentModel;

namespace WebApplication21
{
    [Serializable]
    public class Layer
    {
        public Layer(string name)
        {
            this._name = name;
        }

        private List<Node> _nodes = new List<Node>();
        [JsonProperty("nodes")]
        public List<Node> Nodes
        {
            get
            {
                return _nodes;
            }
            set
            {
                _nodes = value;
            }
        }

        private string _name = string.Empty;
        [JsonProperty("name")]
        [DefaultValue("")]
        public string Name 
        {
            get { return _name; }
            set { _name = value; } 
        }

        public void AddNode(Node node)
        { 
            this._nodes.Add(node); 
        }
     
    }
}